{% extends "customers/base.html" %}
{% load i18n %}
{% load widget_tweaks %}
{% load active_tag %}
{% load price_tag %}
{% load check_group %}
{% block title %}Detalle de Red del Servicio {{ service.number }} - Extras{% endblock %}

{% block pagelevelcss %}
<style>

.dropdown-toggle::after {
    display: inline-block;
    margin-left: .255em;
    vertical-align: .255em;
    content: "";
    border-top: .3em solid;
    border-right: .3em solid transparent;
    border-bottom: 0;
    border-left: .3em solid transparent;
}
</style>
	{% endblock %}
	
{% block page %}
{%if can_show_detail %}
  <!-- begin breadcrumb -->
  <ol class="breadcrumb float-xl-right">
    <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-list' %}">Clientes</a></li>
    <li class="breadcrumb-item"><a href="{% url 'customer-detail' pk=customer.pk %}">{{ customer.rut }}</a></li>
    <li class="breadcrumb-item"><a href="{% url 'service-list' customer_pk=customer.pk %}">Servicios Contratados</a></li>
    <li class="breadcrumb-item"><a href="{% url 'service-detail' slug=service.pk %}">#{{ service.number }}</a></li>
    <li class="breadcrumb-item active">Prefacturación</li>
  </ol>
  <!-- end breadcrumb -->

   <!-- begin page-header -->
   <h1 class="page-header">#{{ service.number }} - {{ customer.name }}</h1>
   <!-- end page-header -->
	  
   <ul class="nav nav-pills mb-2">
		<li class="nav-item {% add_active request 'service-detail' %}">
		  <a href="{% url 'service-detail' slug=service.pk %}"class="nav-link">
			<span class="d-sm-none">General</span>
			<span class="d-sm-block d-none">General</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-network-detail' %}">
		  <a href="{% url 'service-network-detail' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Red</span>
			<span class="d-sm-block d-none">Red</span>
		  </a>
		</li>
		<!--
		<li class="nav-item {% add_active request 'service-calls' %}">
		  <a href="{% url 'service-calls' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Registro de Llamadas</span>
			<span class="d-sm-block d-none">Registro de Llamadas</span>
		  </a>
		</li>
		-->
		<li class="nav-item {% add_active request 'service-gallery' %}">
		  <a href="{% url 'service-gallery' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Galería</span>
			<span class="d-sm-block d-none">Galería</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-documents' %}">
		  <a href="{% url 'service-documents' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Documentos</span>
			<span class="d-sm-block d-none">Documentos</span>
		  </a>
		</li>
		<li class="nav-item">
		  <a href="#" class="nav-link active">
			<span class="d-sm-none">Prefacturación</span>
			<span class="d-sm-block d-none">Prefacturación</span>
		  </a>
		</li>
		<li class="nav-item {% add_active request 'service-promotions' %}">
			<a href="{% url 'service-promotions' service.slug %}" class="nav-link">
				<span class="d-sm-none">Promociones</span>
				<span class="d-sm-block d-none">Promociones</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-plan-orders' %}">
		  <a href="{% url 'service-plan-orders' slug=service.slug %}" class="nav-link">
			<span class="d-sm-none">Orden de Servicio</span>
			<span class="d-sm-block d-none">Orden de Servicio</span>
		  </a>
		</li>
        <li class="nav-item {% add_active request 'service-configuration' %}">
			<a href="{% url 'service-configuration' slug=service.slug %}" class="nav-link">
				<span class="d-sm-none">Configuración</span>
				<span class="d-sm-block d-none">Configuración</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-typify' %}">
			<a href="{% url 'service-typify' service.slug %}" class="nav-link">
				<span class="d-sm-none">Tipificaciones</span>
				<span class="d-sm-block d-none">Tipificaciones</span>
			</a>
		</li>
		<li class="nav-item {% add_active request 'service-billing' %}">
        <a href="{% url 'service-billing' service.slug %}" class="nav-link">
          <span class="d-sm-none">Estado de Cuenta servicio</span>
          <span class="d-sm-block d-none">Estado de Cuenta servicio</span>
        </a>
      </li> 
		<li class="nav-item {% add_active request 'invoice-list' %}">
			<a href="{% url 'invoice-list' service.customer.pk %}" class="nav-link">
				<span class="d-sm-none">Estado de Cuenta cliente</span>
				<span class="d-sm-block d-none">Estado de Cuenta cliente</span>
			</a>
        </li>
        			
	  </ul>

	  <div class="row mb-3">
			<div class="col-sm-12 col-md-12">
					{% if perms.customers.change_service %}
					<a class="btn btn-secondary btn-raised pull-right" href="{%url 'service-extras-history' slug=object.slug %}" role="button" style="margin-left: 5px" >Histórico</a>
					<div class="dropdown">
				  	<a class="btn btn-success btn-raised pull-right dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >Nuevo <span class="dropdown-menu-arrow"></span></a>
						<div class="dropdown-menu" aria-labelledby="dropdownMenuLink" style="min-width: 6.5rem !important; ">
								<a class="dropdown-item" href="{% url 'create-service-credit' slug=object.slug %}">Descuento</a>
								<a class="dropdown-item" href="{% url 'create-service-charge' slug=object.slug %}">Cargo</a>
							</div>
						</div>
						{% endif %}
			</div>
		  </div>
	  

	  <!-- begin row -->
<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-12 ui-sortable">
		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
			<!-- begin panel-heading -->
			<div class="panel-heading ui-sortable-handle">
			  <h4 class="panel-title">Descuentos</h4>
			  <div class="panel-heading-btn">
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
				<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			  </div>
			</div>
			<!-- end panel-heading -->
			<!-- begin panel-body -->
			<div class="panel-body">
				<table class="table table-striped">
				<thead>
				<tr>
					<th>Descripción</th>
					<th>Monto</th>
					<th>Fecha de creación</th>
					<th># ciclos facturación</th>
					<th># facturas aplicadas</th>
					<th>Acciones</th>
				</tr>
				</thead>
				<tbody>
				{% for extra in descuentos.all %}
				<tr>
					<td>{{ extra.reason }}  | Activo : {%if extra.active %} <i class="fa fa-check" aria-hidden="true"></i> {%else%} <i class="fa fa-times" aria-hidden="true"></i> {%endif%}{%if extra.reason.calculate_by_days %} | # Días : {{extra.days_count}} {%endif%}</td>
					{%if extra.reason.uf %}
			<td>{{ extra.reason.valor}} UF</td>
			{%elif extra.reason.percent %}
			<td>{{ extra.reason.valor}}%</td>
			{%else%}
			<td>${{ extra.reason.valor| price_tag }}</td>
			{%endif%} 
			<td>{{ extra.created_at}}</td>
			{%if extra.permanent %}
			<td>Infinito ∞</td>
			{%else%}
			<td>{{ extra.number_billing}}</td>
			{%endif%}
			<td>{{ extra.times_applied}}</td>
					<td>
						{%ifequal extra.reason.kind 3 %}	
					{%else%}
					<a class="btn btn-primary"  style="width:84px" href="{% url 'update-service-credit' slug=service.pk credit_pk=extra.pk %}">Editar</a> 
					{%endifequal %}
					{% if request.user|has_group:"Head Finanzas" or request.user|has_group:"Coordinador de facturación" %} 
					<div class="dropdown">
							<a class="btn btn-danger dropdown-toggle" href="#" role="button" id="dropdownMenuLink{{extra.pk}}" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >Eliminar <span class="dropdown-menu-arrow"></span></a>
							<div class="dropdown-menu" aria-labelledby="dropdownMenuLink{{extra.pk}}" style="min-width: 6.5rem !important; ">
									<a class="dropdown-item" href="{% url 'delete-service-credit' credit_pk=extra.pk %}">Sí, estoy seguro</a>
								</div>
							</div>
					{%endif%}
					</td>
				</tr>
				{% endfor %}
				</tbody>
				</table>
			  
			</div>
			<!-- end panel-body -->
		  </div>

		  <!-- begin panel -->
		  <div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
				  <h4 class="panel-title">Cargos</h4>
				  <div class="panel-heading-btn">
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
					<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
				  </div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
		
      <table class="table table-striped">
	<thead>
	  <tr>
	    <th>Descripción</th>
			<th>Monto</th>
			<th>Fecha de creación</th>
			<th># ciclos facturación</th>
			<th># facturas aplicadas</th>
	    <th>Acciones</th>
	  </tr>
	</thead>
	<tbody>
	  {% for extra in cargos.all %}
	  <tr>
			<td>{{ extra.reason }} | Activo : {%if extra.active %} <i class="fa fa-check" aria-hidden="true"></i> {%else%} <i class="fa fa-times" aria-hidden="true"></i> {%endif%}{%if extra.reason.calculate_by_days %} | # Días : {{extra.days_count}} {%endif%} {%if extra.quantity %} | # Cantidad : {{extra.quantity}} {%endif%}</td>
			{%if extra.reason.uf %}
			<td>{{ extra.reason.valor}} UF</td>
			{%elif extra.reason.percent %}
			<td>{{ extra.reason.valor}}%</td>
			{%else%}
			<td>${{ extra.reason.valor| price_tag }}</td>
			{%endif%}
			<td>{{ extra.created_at}}</td>
			{%if extra.permanent %}
			<td>Infinito ∞</td>
			{%else%}
			<td>{{ extra.number_billing}}</td>
			{%endif%}
			<td>{{ extra.times_applied}}</td>
	    <td>
					<a class="btn btn-primary" style="width:84px" href="{% url 'update-service-charge' slug=service.pk charge_pk=extra.pk %}">Editar</a> 
					{% if request.user|has_group:"Head Finanzas" or request.user|has_group:"Coordinador de facturación" %}
					<div class="dropdown">
							<a class="btn btn-danger dropdown-toggle" href="#" role="button" id="dropdownMenuLink{{extra.pk}}" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >Eliminar <span class="dropdown-menu-arrow"></span></a>
							<div class="dropdown-menu" aria-labelledby="dropdownMenuLink{{extra.pk}}" style="min-width: 6.5rem !important; ">
									<a class="dropdown-item" href="{% url 'delete-service-charge' charge_pk=extra.pk %}">Sí, estoy seguro</a>
								</div>
							</div>
							{%endif%}
	    </td>
	  </tr>
	  {% endfor %}
	</tbody>
      </table>
				  
				</div>
				<!-- end panel-body -->
			  </div>

		</div>
	  </div>

	  {%else%}
		<!-- begin page-header -->
		<h1 class="page-header">  Servicio </h1>
		<!-- end page-header -->
	<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
		<h4 class="alert-heading" style=" text-align: center;">No encontrado</h4>
		<hr>
		<h5 class="mb-0">Cambie de operador o vuelva al listado.</h5>
	</div>
	{% endif %}
{% endblock %}
